package io.renren.modules.snoop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.modules.snoop.dao.SnoopValueDao;
import io.renren.modules.snoop.entity.SnoopValueEntity;
import io.renren.modules.snoop.service.SnoopValueService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("snoopValueService")
public class SnoopValueServiceImpl extends ServiceImpl<SnoopValueDao, SnoopValueEntity> implements SnoopValueService {

    @Override
    public List<SnoopValueEntity> selectBySnoopId(Integer snoopId) {
        QueryWrapper<SnoopValueEntity> wp = new QueryWrapper<>();
        wp.eq("snoop_id", snoopId);
        List<SnoopValueEntity> list = this.list(wp);
        return list;
    }
}
